Changeset 3102


Ignore:
Timestamp:
Nov 21, 2013 2:56:01 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/Mumps/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/Makefile.am

    r2210 r3102  
    5252        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/include`
    5353
     54if DEPENDENCY_LINKING
     55libcoinmumps_la_LIBADD = $(MUMPS_LIBS) $(MUMPS_PCLIBS)
     56endif
    5457
    5558libcoinmumps_la_LDFLAGS = $(LT_LDFLAGS)
  • ThirdParty/Mumps/trunk/Makefile.in

    r2889 r3102  
    8181libLTLIBRARIES_INSTALL = $(INSTALL)
    8282LTLIBRARIES = $(lib_LTLIBRARIES)
    83 libcoinmumps_la_LIBADD =
     83am__DEPENDENCIES_1 =
     84@DEPENDENCY_LINKING_TRUE@libcoinmumps_la_DEPENDENCIES =  \
     85@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1) \
     86@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1)
    8487nodist_libcoinmumps_la_OBJECTS = tools_common_mod.lo \
    8588        dmumps_comm_buffer.lo dmumps_struc_def.lo mumps_ooc_common.lo \
     
    182185DEFS =
    183186DEPDIR = @DEPDIR@
     187DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     188DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    184189ECHO = @ECHO@
    185190ECHO_C = @ECHO_C@
     
    345350        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/include`
    346351
     352@DEPENDENCY_LINKING_TRUE@libcoinmumps_la_LIBADD = $(MUMPS_LIBS) $(MUMPS_PCLIBS)
    347353libcoinmumps_la_LDFLAGS = $(LT_LDFLAGS)
    348354
  • ThirdParty/Mumps/trunk/configure

    r2985 r3102  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion MUMPS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS CPP EGREP MY_DEFS LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED MUMPS_CFLAGS MUMPS_LIBS MUMPS_PCLIBS MUMPS_PCREQUIRES MUMPS_DEPENDENCIES MUMPS_CFLAGS_INSTALLED MUMPS_LIBS_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE METIS_LIBS METIS_CFLAGS METIS_DATA METIS_DEPENDENCIES METIS_LIBS_INSTALLED METIS_CFLAGS_INSTALLED METIS_DATA_INSTALLED COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE MUMPSDIR MUMPSOBJDIR MUMPSSRCDIR MY_FDEFS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion MUMPS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS CPP EGREP MY_DEFS LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED MUMPS_CFLAGS MUMPS_LIBS MUMPS_PCLIBS MUMPS_PCREQUIRES MUMPS_DEPENDENCIES MUMPS_CFLAGS_INSTALLED MUMPS_LIBS_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE METIS_LIBS METIS_CFLAGS METIS_DATA METIS_DEPENDENCIES METIS_LIBS_INSTALLED METIS_CFLAGS_INSTALLED METIS_DATA_INSTALLED COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE MUMPSDIR MUMPSOBJDIR MUMPSSRCDIR MY_FDEFS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pthread-mumps disable use of pthread library
    10861083  --enable-static[=PKGS]
     
    18871884
    18881885# Get the name of the C compiler
    1889 case $build in
     1886
     1887
     1888  # for backward compatibility
     1889  # Check whether --enable-doscompile or --disable-doscompile was given.
     1890if test "${enable_doscompile+set}" = set; then
     1891  enableval="$enable_doscompile"
     1892  enable_doscompile=$enableval
     1893else
     1894  enable_doscompile=no
     1895fi;
     1896
     1897  # Check whether --enable-msvc or --disable-msvc was given.
     1898if test "${enable_msvc+set}" = set; then
     1899  enableval="$enable_msvc"
     1900  enable_msvc=$enableval
     1901else
     1902  enable_msvc=no
     1903     if test "$enable_doscompile" = msvc ; then
     1904       enable_msvc=yes
     1905     elif test "$enable_doscompile" != no ; then
     1906       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1907echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1908   { (exit 1); exit 1; }; }
     1909     fi
     1910
     1911fi;
     1912
     1913  if test "$enable_msvc" = MD; then
     1914    enable_shared=yes
     1915    enable_msvc=yes
     1916  fi
     1917
     1918  if test "$enable_msvc" = yes; then
     1919    case $build in
     1920      *-cygwin* | *-mingw*) ;;
     1921      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1922echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1923   { (exit 1); exit 1; }; } ;;
     1924    esac
     1925  fi
     1926
     1927
     1928 case $build in
    18901929  *-mingw*)
    18911930    if test "${LD+set}" = set; then :; else
     
    18941933    ;;
    18951934 esac
    1896  case $enable_doscompile in
    1897    msvc)
    1898      if test "x${LD+set}" = xset; then :; else
    1899        LD=link
    1900      fi
    1901      ;;
    1902  esac
    1903 
    1904 
    1905  # Check whether --enable-doscompile or --disable-doscompile was given.
    1906 if test "${enable_doscompile+set}" = set; then
    1907   enableval="$enable_doscompile"
    1908   if test "$enable_doscompile" != no; then
    1909      case $build in
    1910        *-cygwin* | *-mingw*) ;;
    1911        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1912 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1913    { (exit 1); exit 1; }; } ;;
    1914      esac
     1935 if test $enable_msvc = yes ; then
     1936   if test "x${LD+set}" = xset; then :; else
     1937     LD=link
    19151938   fi
    1916 else
    1917   enable_doscompile=no
    1918 fi;
    1919  case "$enable_doscompile" in
    1920    mingw)
    1921      case $build in
    1922        *-mingw*) enable_doscompile=no ;;
    1923      esac
    1924      ;;
    1925    msvc|no) ;;
    1926    yes) enable_doscompile=mingw ;;
    1927    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1928                     Try configure --help=recursive." >&5
    1929 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&2;}
    1931    { (exit 1); exit 1; }; }
    1932       ;;
    1933   esac
    1934   if test "$enable_doscompile" != no ; then
    1935     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1936 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1937   fi
     1939 fi
    19381940
    19391941
     
    19781980case $build in
    19791981  *-cygwin* | *-mingw*)
    1980              if test "$enable_doscompile" = msvc ; then
    1981                comps="icl cl"
     1982             if test "$enable_msvc" = yes ; then
     1983               comps="icl cl gcc"
    19821984             else
    1983                comps="gcc cl"
     1985               comps="gcc icl cl"
    19841986             fi ;;
    19851987  *-*-solaris*)
     
    27792781    fi ;;
    27802782  * )
    2781     CYGPATH_W=echo
     2783    if test x"$CYGPATH_W" = x ; then
     2784      CYGPATH_W=echo
     2785    fi
    27822786    ;;
    27832787esac
     
    28342838            ;;
    28352839        esac
    2836         case $enable_doscompile in
    2837           mingw)
    2838             CFLAGS="-mno-cygwin"
    2839             cat >conftest.$ac_ext <<_ACEOF
    2840 /* confdefs.h.  */
    2841 _ACEOF
    2842 cat confdefs.h >>conftest.$ac_ext
    2843 cat >>conftest.$ac_ext <<_ACEOF
    2844 /* end confdefs.h.  */
    2845 
    2846 int
    2847 main ()
    2848 {
    2849 int i=0; i++;
    2850   ;
    2851   return 0;
    2852 }
    2853 _ACEOF
    2854 rm -f conftest.$ac_objext conftest$ac_exeext
    2855 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2856   (eval $ac_link) 2>conftest.er1
    2857   ac_status=$?
    2858   grep -v '^ *+' conftest.er1 >conftest.err
    2859   rm -f conftest.er1
    2860   cat conftest.err >&5
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); } &&
    2863          { ac_try='test -z "$ac_c_werror_flag"
    2864                          || test ! -s conftest.err'
    2865   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2866   (eval $ac_try) 2>&5
    2867   ac_status=$?
    2868   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2869   (exit $ac_status); }; } &&
    2870          { ac_try='test -s conftest$ac_exeext'
    2871   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2872   (eval $ac_try) 2>&5
    2873   ac_status=$?
    2874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2875   (exit $ac_status); }; }; then
    2876   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2877 else
    2878   echo "$as_me: failed program was:" >&5
    2879 sed 's/^/| /' conftest.$ac_ext >&5
    2880 
    2881 fi
    2882 rm -f conftest.err conftest.$ac_objext \
    2883       conftest$ac_exeext conftest.$ac_ext
    2884             CFLAGS=
    2885           ;;
    2886         esac
    28872840    esac
    28882841  fi
     
    30853038fi
    30863039
    3087 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3088 
    3089 case "$CFLAGS" in
    3090   *-mno-cygwin*)
    3091     if test x${CPPFLAGS+set} != xset ; then
    3092       CPPFLAGS="-mno-cygwin"
    3093     else
    3094       case "$CPPFLAGS" in
    3095         *-mno-cygwin*)
    3096           ;;
    3097         *)
    3098           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3099           ;;
    3100       esac
    3101     fi ;;
    3102 esac
    3103 
    31043040# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    31053041if test x$COIN_PRJCT != x; then
     
    32253161  clang* ) ;;
    32263162  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3227     case $build in
     3163
     3164 case $build in
    32283165  *-mingw*)
    32293166    if test "${LD+set}" = set; then :; else
     
    32323169    ;;
    32333170 esac
    3234  case $enable_doscompile in
    3235    msvc)
    3236      if test "x${LD+set}" = xset; then :; else
    3237        LD=link
    3238      fi
    3239      ;;
    3240  esac
     3171 if test $enable_msvc = yes ; then
     3172   if test "x${LD+set}" = xset; then :; else
     3173     LD=link
     3174   fi
     3175 fi
    32413176
    32423177    ;;
     
    32543189case $build in
    32553190  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3191     if test "$enable_msvc" = yes ; then
     3192       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583193     else
    32593194       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34803415
    34813416# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3417echo "$as_me:3417:" \
    34833418     "checking for Fortran 77 compiler version" >&5
    34843419ac_compiler=`set X $ac_compile; echo $2`
     
    36493584    coin_add_fflags="-pipe"
    36503585    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923586  else
    36933587    case $build in
     
    38673761fi
    38683762
    3869 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    3870 case "$FFLAGS" in
    3871   *-mno-cygwin*)
    3872     if test x${CPPFLAGS+set} != xset ; then
    3873       CPPFLAGS="-mno-cygwin"
    3874     else
    3875       case "$CPPFLAGS" in
    3876         *-mno-cygwin*)
    3877           ;;
    3878         *)
    3879           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3880           ;;
    3881       esac
    3882     fi ;;
    3883 esac
    3884 
    38853763# Try if FFLAGS works
    38863764if test "$F77" != "unavailable" ; then
     
    39813859case "$F77" in
    39823860  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3861
     3862 case $build in
    39843863  *-mingw*)
    39853864    if test "${LD+set}" = set; then :; else
     
    39883867    ;;
    39893868 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3869 if test $enable_msvc = yes ; then
     3870   if test "x${LD+set}" = xset; then :; else
     3871     LD=link
     3872   fi
     3873 fi
    39973874
    39983875    ;;
     
    40613938ac_save_FFLAGS=$FFLAGS
    40623939FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     3940(eval echo $as_me:3940: \"$ac_link\") >&5
    40643941ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40653942echo "$ac_f77_v_output" >&5
     
    41394016ac_save_FFLAGS=$FFLAGS
    41404017FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4018(eval echo $as_me:4018: \"$ac_link\") >&5
    41424019ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434020echo "$ac_f77_v_output" >&5
     
    43244201        -lcrt*.o) ;;
    43254202        -lcygwin) ;;
     4203        -lgcc*)   ;;
    43264204               *) my_flibs="$my_flibs $flag" ;;
    43274205      esac
     
    57075585            ;;
    57085586          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5709             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    5710 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     5587            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     5588echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    57115589            ;;
    57125590          *)
     
    67646642
    67656643LIBTOOL=
    6766 if test -r ../libtool; then
     6644if test -f ../libtool; then
    67676645  coin_config_dir=..
    67686646  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    67696647fi
    67706648if test "x$LIBTOOL" = x; then
    6771   if test -r ../../libtool; then
     6649  if test -f ../../libtool; then
    67726650    coin_config_dir=../..
    67736651    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    73157193*-*-irix6*)
    73167194  # Find out which ABI we are using.
    7317   echo '#line 7317 "configure"' > conftest.$ac_ext
     7195  echo '#line 7195 "configure"' > conftest.$ac_ext
    73187196  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73197197  (eval $ac_compile) 2>&5
     
    93119189   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93129190   -e 's:$: $lt_compiler_flag:'`
    9313    (eval echo "\"\$as_me:9313: $lt_compile\"" >&5)
     9191   (eval echo "\"\$as_me:9191: $lt_compile\"" >&5)
    93149192   (eval "$lt_compile" 2>conftest.err)
    93159193   ac_status=$?
    93169194   cat conftest.err >&5
    9317    echo "$as_me:9317: \$? = $ac_status" >&5
     9195   echo "$as_me:9195: \$? = $ac_status" >&5
    93189196   if (exit $ac_status) && test -s "$ac_outfile"; then
    93199197     # The compiler can only warn and ignore the option if not recognized
     
    95799457   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95809458   -e 's:$: $lt_compiler_flag:'`
    9581    (eval echo "\"\$as_me:9581: $lt_compile\"" >&5)
     9459   (eval echo "\"\$as_me:9459: $lt_compile\"" >&5)
    95829460   (eval "$lt_compile" 2>conftest.err)
    95839461   ac_status=$?
    95849462   cat conftest.err >&5
    9585    echo "$as_me:9585: \$? = $ac_status" >&5
     9463   echo "$as_me:9463: \$? = $ac_status" >&5
    95869464   if (exit $ac_status) && test -s "$ac_outfile"; then
    95879465     # The compiler can only warn and ignore the option if not recognized
     
    96839561   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96849562   -e 's:$: $lt_compiler_flag:'`
    9685    (eval echo "\"\$as_me:9685: $lt_compile\"" >&5)
     9563   (eval echo "\"\$as_me:9563: $lt_compile\"" >&5)
    96869564   (eval "$lt_compile" 2>out/conftest.err)
    96879565   ac_status=$?
    96889566   cat out/conftest.err >&5
    9689    echo "$as_me:9689: \$? = $ac_status" >&5
     9567   echo "$as_me:9567: \$? = $ac_status" >&5
    96909568   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96919569   then
     
    1210011978  lt_status=$lt_dlunknown
    1210111979  cat > conftest.$ac_ext <<EOF
    12102 #line 12102 "configure"
     11980#line 11980 "configure"
    1210311981#include "confdefs.h"
    1210411982
     
    1220012078  lt_status=$lt_dlunknown
    1220112079  cat > conftest.$ac_ext <<EOF
    12202 #line 12202 "configure"
     12080#line 12080 "configure"
    1220312081#include "confdefs.h"
    1220412082
     
    1456014438   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456114439   -e 's:$: $lt_compiler_flag:'`
    14562    (eval echo "\"\$as_me:14562: $lt_compile\"" >&5)
     14440   (eval echo "\"\$as_me:14440: $lt_compile\"" >&5)
    1456314441   (eval "$lt_compile" 2>conftest.err)
    1456414442   ac_status=$?
    1456514443   cat conftest.err >&5
    14566    echo "$as_me:14566: \$? = $ac_status" >&5
     14444   echo "$as_me:14444: \$? = $ac_status" >&5
    1456714445   if (exit $ac_status) && test -s "$ac_outfile"; then
    1456814446     # The compiler can only warn and ignore the option if not recognized
     
    1466414542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466514543   -e 's:$: $lt_compiler_flag:'`
    14666    (eval echo "\"\$as_me:14666: $lt_compile\"" >&5)
     14544   (eval echo "\"\$as_me:14544: $lt_compile\"" >&5)
    1466714545   (eval "$lt_compile" 2>out/conftest.err)
    1466814546   ac_status=$?
    1466914547   cat out/conftest.err >&5
    14670    echo "$as_me:14670: \$? = $ac_status" >&5
     14548   echo "$as_me:14548: \$? = $ac_status" >&5
    1467114549   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1467214550   then
     
    1623416112   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623516113   -e 's:$: $lt_compiler_flag:'`
    16236    (eval echo "\"\$as_me:16236: $lt_compile\"" >&5)
     16114   (eval echo "\"\$as_me:16114: $lt_compile\"" >&5)
    1623716115   (eval "$lt_compile" 2>conftest.err)
    1623816116   ac_status=$?
    1623916117   cat conftest.err >&5
    16240    echo "$as_me:16240: \$? = $ac_status" >&5
     16118   echo "$as_me:16118: \$? = $ac_status" >&5
    1624116119   if (exit $ac_status) && test -s "$ac_outfile"; then
    1624216120     # The compiler can only warn and ignore the option if not recognized
     
    1633816216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1633916217   -e 's:$: $lt_compiler_flag:'`
    16340    (eval echo "\"\$as_me:16340: $lt_compile\"" >&5)
     16218   (eval echo "\"\$as_me:16218: $lt_compile\"" >&5)
    1634116219   (eval "$lt_compile" 2>out/conftest.err)
    1634216220   ac_status=$?
    1634316221   cat out/conftest.err >&5
    16344    echo "$as_me:16344: \$? = $ac_status" >&5
     16222   echo "$as_me:16222: \$? = $ac_status" >&5
    1634516223   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1634616224   then
     
    1854518423   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1854618424   -e 's:$: $lt_compiler_flag:'`
    18547    (eval echo "\"\$as_me:18547: $lt_compile\"" >&5)
     18425   (eval echo "\"\$as_me:18425: $lt_compile\"" >&5)
    1854818426   (eval "$lt_compile" 2>conftest.err)
    1854918427   ac_status=$?
    1855018428   cat conftest.err >&5
    18551    echo "$as_me:18551: \$? = $ac_status" >&5
     18429   echo "$as_me:18429: \$? = $ac_status" >&5
    1855218430   if (exit $ac_status) && test -s "$ac_outfile"; then
    1855318431     # The compiler can only warn and ignore the option if not recognized
     
    1881318691   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881418692   -e 's:$: $lt_compiler_flag:'`
    18815    (eval echo "\"\$as_me:18815: $lt_compile\"" >&5)
     18693   (eval echo "\"\$as_me:18693: $lt_compile\"" >&5)
    1881618694   (eval "$lt_compile" 2>conftest.err)
    1881718695   ac_status=$?
    1881818696   cat conftest.err >&5
    18819    echo "$as_me:18819: \$? = $ac_status" >&5
     18697   echo "$as_me:18697: \$? = $ac_status" >&5
    1882018698   if (exit $ac_status) && test -s "$ac_outfile"; then
    1882118699     # The compiler can only warn and ignore the option if not recognized
     
    1891718795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1891818796   -e 's:$: $lt_compiler_flag:'`
    18919    (eval echo "\"\$as_me:18919: $lt_compile\"" >&5)
     18797   (eval echo "\"\$as_me:18797: $lt_compile\"" >&5)
    1892018798   (eval "$lt_compile" 2>out/conftest.err)
    1892118799   ac_status=$?
    1892218800   cat out/conftest.err >&5
    18923    echo "$as_me:18923: \$? = $ac_status" >&5
     18801   echo "$as_me:18801: \$? = $ac_status" >&5
    1892418802   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1892518803   then
     
    2163221510    # Here we need to check if -m32 is specified.  If so, we need to correct
    2163321511    # sys_lib_search_path_spec
     21512    *-cygwin* | *-mingw*)
     21513       case "$CXX" in
     21514    clang* )
     21515      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     21516      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     21517echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     21518      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21519          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21520          -e 's|libext="lib"|libext="a"|' \
     21521      libtool > conftest.bla
     21522      ;;
     21523    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     21524      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     21525echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     21526      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21527          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21528          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21529          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21530          -e 's%lib /OUT:%lib -OUT:%' \
     21531          -e "s%cygpath -w%$CYGPATH_W%" \
     21532          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     21533          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     21534          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     21535          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     21536          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     21537      libtool > conftest.bla
     21538      ;;
     21539    *)
     21540      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     21541echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     21542      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21543          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21544          -e 's|libext="lib"|libext="a"|' \
     21545      libtool > conftest.bla
     21546      ;;
     21547  esac
     21548  mv conftest.bla libtool
     21549  chmod 755 libtool
     21550
     21551      ;;
    2163421552    *x86_64-*)
    2163521553      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2167121589      ;;
    2167221590    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    21673     *-cygwin* | *-mingw*)
    21674        case "$CXX" in
    21675     clang* )
    21676       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    21677       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    21678 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    21679       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21680           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21681           -e 's|libext="lib"|libext="a"|' \
    21682       libtool > conftest.bla
    21683       ;;
    21684     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    21685       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    21686 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    21687       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21688           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21689           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21690           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21691           -e 's%lib /OUT:%lib -OUT:%' \
    21692           -e "s%cygpath -w%$CYGPATH_W%" \
    21693           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    21694           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    21695           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    21696           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    21697           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    21698       libtool > conftest.bla
    21699       ;;
    21700     *)
    21701       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    21702 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    21703       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21704           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21705           -e 's|libext="lib"|libext="a"|' \
    21706       libtool > conftest.bla
    21707       ;;
    21708   esac
    21709   mv conftest.bla libtool
    21710   chmod 755 libtool
    21711 
    21712       ;;
    2171321591    *-darwin*)
    2171421592      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2181821696# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2181921697
     21698# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     21699if test "${enable_dependency_linking+set}" = set; then
     21700  enableval="$enable_dependency_linking"
     21701  dependency_linking="$enableval"
     21702else
     21703  dependency_linking=no
     21704fi;
     21705
    2182021706# ToDo
    2182121707# For now, don't use the -no-undefined flag, since the Makefiles are
    2182221708# not yet set up that way.  But we need to fix this, when we want
    2182321709# to comile DLLs under Windows.
    21824 LT_LDFLAGS=
     21710if test "$dependency_linking" = yes ;
     21711then
     21712  LT_LDFLAGS="-no-undefined"
     21713else
     21714  LT_LDFLAGS=
     21715fi
     21716
     21717
     21718
     21719if test "$dependency_linking" = yes; then
     21720  DEPENDENCY_LINKING_TRUE=
     21721  DEPENDENCY_LINKING_FALSE='#'
     21722else
     21723  DEPENDENCY_LINKING_TRUE='#'
     21724  DEPENDENCY_LINKING_FALSE=
     21725fi
     21726
    2182521727
    2182621728# Check if we want to set the library version
     
    2200621908  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2200721909  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    22008   if test -e ../coin_subdirs.txt ; then
     21910  if test -f ../coin_subdirs.txt ; then
    2200921911    for i in `cat ../coin_subdirs.txt` ; do
    2201021912      if test -d ../$i ; then
     
    2201721919  fi
    2201821920
    22019   if test -e ../../coin_subdirs.txt ; then
     21921  if test -f ../../coin_subdirs.txt ; then
    2202021922    for i in `cat ../../coin_subdirs.txt` ; do
    2202121923      if test -d ../../$i ; then
     
    2246522367# Try to autodetect the library for blas based on build system
    2246622368  #AC_MSG_CHECKING([default locations for BLAS])
    22467   skip_lblas_check=no
    2246822369  case $build in
    2246922370    *-sgi-*)
     
    2326823169
    2326923170    *-cygwin* | *-mingw*)
    23270 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23271 # library will want to link with cygwin, hence won't run standalone in DOS.
    23272       if test "$enable_doscompile" = mingw; then
    23273         skip_lblas_check=yes
    23274       fi
    2327523171      case "$CC" in
    2327623172        clang* ) ;;
     
    2443624332  esac
    2443724333
    24438   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24334  if test -z "$use_blas" ; then
    2443924335    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2444024336echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2601725913echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2601825914coin_link_input_cmd="$LN_S"
    26019 if test "$enable_doscompile" = mingw; then
    26020   coin_link_input_cmd=cp
    26021 fi
    2602225915case "$CC" in
    2602325916  clang* ) ;;
     
    2624326136Usually this means the macro was only invoked conditionally." >&5
    2624426137echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     26138Usually this means the macro was only invoked conditionally." >&2;}
     26139   { (exit 1); exit 1; }; }
     26140fi
     26141if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     26142  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     26143Usually this means the macro was only invoked conditionally." >&5
     26144echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2624526145Usually this means the macro was only invoked conditionally." >&2;}
    2624626146   { (exit 1); exit 1; }; }
     
    2692326823s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2692426824s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     26825s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     26826s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2692526827s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2692626828s,@PKG_CONFIG@,$PKG_CONFIG,;t t
Note: See TracChangeset for help on using the changeset viewer.